Subject: bug#6432: 24.0.50; comint-write/read-input-ring ignore certain buffer locals

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 21:23:10 +0200

Andreas Politz <[email-masked]> writes:

> Both functions ignore certain buffer-local values of comint variables
> due to working partially in temporary buffers.
>
> I think for most of them buffer-local values (therefor process-local)
> would make sense.  For example we might want to use multiline commands
> with one process, using a special comint-input-ring-separator, but
> compatible newline-seperated commands for a different one.

I've now fixed this in Emacs 27.  comint-input-ring-size didn't seem to
make much sense as a buffer-local value, so I've kept that as it was.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no